Skip to main content
GET
/
products
List Products
curl --request GET \
  --url https://api.crosoftware.com/v0/products \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/products"

headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "current_limit": 123,
  "current_page": 123,
  "results": [
    {
      "auto_deduct": 123,
      "by_weight": true,
      "category": "<string>",
      "description": "<string>",
      "id": 123,
      "is_deleted": true,
      "location_id": 123,
      "name": "<string>",
      "purchase": true
    }
  ],
  "total_count": 123,
  "total_pages": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Response

200 - application/json

Success

ProductModel list (paged).

current_limit
integer
required

Maximun number of results per page.

current_page
integer
required

Paged results page index (starting from 1).

results
object[]
required
total_count
integer
required

Paged results total viewable records.

total_pages
integer
required

Paged results total pages.